<?php
$default_options = array(
    // Splash Settings
    'splashPreloaderColor' => '#7f2ae8',
    'thumbRecommendedSize' => '250',
    'spaceX' => '20',
    'coverThumbHeight' => '450',
    'coverHoverEffectEnable' => '1',
    'coverTitleEnable' => '1',
    'coverTitleFontSize' => '30',
    'coverTitleTextColor' => '#ffffff',
    'coverCollectoinAmount' => '1',
    'coverTitleBgColor1' => '#CD51DC',
    'coverTitleBgColor2' => '#295EE6',
    'coverTitleBgAlpha' => '60',
    'navigationColor' => 'rgba(0,0,0,1)',
    'navigationColorHover' => 'rgba(0,0,0,0.7)',
    'navigationIconColor' => 'rgba(255,255,255,1)',
    //Thumbnails Submenu
    'collectionThumbSubMenuBackgroundColor' => 'rgba(0, 0, 0, 0)',
    'collectionThumbSubMenuBackgroundColorOver' => 'rgba(0, 0, 0, 0.7)',
    'collectionThumbSubMenuIconColor'  => 'rgba(255, 255, 255, 1)',
    'collectionThumbSubMenuIconHoverColor' => 'rgba(255, 255, 255, 1)',
    'collectionInfoEnable'=>'1',
    'collectionItemDownload'=>'1',
    'collectionSocialShareEnabled'=>'1',
    'collectionLikesEnabled'=>'1',
    //Modal Window
    'modaBgColor'=> 'rgba(0,0,0,0.9)',
    'modalInfoBoxBgColor' => 'rgba(255,255,255,1)',
    'modalInfoBoxTitleTextColor' => '000000',
    'shareTitlePlaceHolder' => 'Share',
    'modalInfoBoxTextColor' => '#333333',
    'infoBarExifEnable'=> '1',
    'infoBarCountersEnable'=> '1',
    'infoBarDateInfoEnable'=> '1',
    // Slider Page
    'lightBoxEnable' => '1',
    'copyR_Alert' => 'Hello, this photo is mine!',
    'sliderPreloaderColor' =>'#ffffff',
    'sliderBgColor' => 'rgba(0,0,0,1)',
    'sliderHeaderFooterBgColor' => '#000000',
    'sliderNavigationColor' => 'rgba(0,0,0,1)',
    'sliderNavigationIconColor' => 'rgba(255,255,255,1)',
    'sliderItemTitleFontSize' => '24',
    'sliderItemTitleTextColor' => '#ffffff',
    'sliderThumbBarEnable' => '1',
    'sliderThumbBarHoverColor' => '#ffffff',
    'sliderThumbSubMenuBackgroundColor' => 'rgba(0,0,0,1)',
    'sliderThumbSubMenuBackgroundColorOver' => 'rgba(255,255,255,1)',
    'sliderThumbSubMenuIconColor' => 'rgba(255,255,255,1)',
    'sliderThumbSubMenuIconHoverColor' => 'rgba(0,0,0,1)',
    'sliderInfoEnable' => '1',
    'sliderItemDownload' => '1',
    'sliderSocialShareEnabled' => '1',
    'sliderLikesEnabled' => '1',
	// Custom CSS
	'customCSS' => ''
);
$options_tree = array(
    array('label' => 'Splash page',
        'fields' => array(
            'splashPreloaderColor' => array('label' => 'Preloader Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => 'Set custom color for gallery'
            ),
            'thumbRecommendedSize' => array('label' => 'Minimum Thumbnail Width',
                'tag' => 'input',
                'attr' => 'type="number" min="100" max="900"',
                'text' => ''
            ),
            'coverThumbHeight' => array('label' => 'Thumbnail Height',
                'tag' => 'input',
                'attr' => 'type="number" min="100" max="1000" step="10"',
                'text' => ''
            ),
            'spaceX' => array('label' => 'Space between thumbnails',
                'tag' => 'input',
                'attr' => 'type="number" min="5" max="30"',
                'text' => ''
            ),
            'coverHoverEffectEnable' => array('label' => 'Enable 3D hover effect',
                'tag' => 'checkbox',
                'attr' => '',
                'text' => ''
            ),
            'coverTitleEnable' => array('label' => 'Show collection title',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'coverTitleFontSize' => array('label' => 'Collection Title - font size',
                'tag' => 'input',
                'attr' => 'type="number" min="14" max="36" step="1" data-coverTitleEnable="is:1"',
                'text' => ''
            ),
            'coverTitleTextColor' => array('label' => 'Collection Title - text color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color" data-coverTitleEnable="is:1"',
                'text' => ''
            ),
            'coverCollectoinAmount' => array('label' => 'Show the number of items in the collection',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'coverTitleBgColor1' => array('label' => 'Cover Hover color 1',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => 'For Albums / Categories covers - gradient color'
            ),
            'coverTitleBgColor2' => array('label' => 'Cover Hover color 2',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => 'For Albums / Categories covers - gradient color'
            ),
            'coverTitleBgAlpha' => array('label' => 'Cover Hover - transparency',
                'tag' => 'input',
                'attr' => 'type="number" min="0" max="100" step="10"',
                'text' => 'For Albums / Categories covers'
            ),
            'navigationColor' => array('label' => 'Navigation Buttons Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => 'Background Color'
            ),
            'navigationColorHover' => array('label' => 'Navigation Buttons Hover Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => 'Background Color'
            ),
            'navigationIconColor' => array('label' => 'Navigation Buttons Icon Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => 'Icon Color'
            ),
        )
    ),
//	array('label' => 'Collections Page (Splash page)',
//		'fields' => array(
//			'coverThumbHeight' => array('label' => 'Thumbnail Height',
//				'tag' => 'input',
//				'attr' => 'type="number" min="100" max="1000" step="10"',
//				'text' => ''
//			),
//			'columns' => array('label' => 'Thumbnail Columns',
//				'tag' => 'input',
//				'attr' => 'type="number" min="1" max="10"',
//				'text' => 'Number of columns in a row'
//			),
//			'thumbRecomendedSize' => array('label' => 'Minimum Thumbnail Width',
//				'tag' => 'input',
//				'attr' => 'type="number" min="100" max="300"',
//				'text' => 'The module will ignore the number of columns.'
//			),
//			'spaceX' => array('label' => 'Space between thumbnails X',
//				'tag' => 'input',
//				'attr' => 'type="number" min="5" max="100"',
//				'text' => ''
//			),
//			'spaceY' => array('label' => 'Space between thumbnails Y',
//				'tag' => 'input',
//				'attr' => 'type="number" min="5" max="100"',
//				'text' => ''
//			),
//			'preloaderColor' => array('label' => 'Preloader Color',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'Set custom color for gallery'
//			),
//			'navigationColor' => array('label' => 'Main Controls Color',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'Background Color'
//			),
//			'navigationColorOpacity' => array('label' => 'Main Controls - transparency for background',
//				'tag' => 'input',
//				'attr' => 'type="number" min="10" max="100" step="10"',
//				'text' => ''
//			),
//			'navigationIconColor' => array('label' => 'Main Controls Icon Color',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'Icon Color'
//			),
//			'coverTitleFontSize' => array('label' => 'Cover Title - font size',
//				'tag' => 'input',
//				'attr' => 'type="number" min="14" max="36" step="1"',
//				'text' => ''
//			),
//			'coverTitleTextColor' => array('label' => 'Cover Title - text color',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'For Albums / Categories covers'
//			),
//			'coverTitleBgColor1' => array('label' => 'Cover Title - background color 1',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'For Albums / Categories covers - gradient color'
//			),
//			'coverTitleBgColor2' => array('label' => 'Cover Title - background color 2',
//				'tag' => 'input',
//				'attr' => 'type="text" data-type="color"',
//				'text' => 'For Albums / Categories covers - gradient color'
//			),
//			'coverTitleBgAlpha' => array('label' => 'Cover Title - transparency for background',
//				'tag' => 'input',
//				'attr' => 'type="number" min="0" max="100" step="10"',
//				'text' => 'For Albums / Categories covers'
//			)
//		)
//	),
    array('label' => 'Modal Window Settings (Item Info & Share)',
        'fields' => array(
            'modaBgColor' => array('label' => 'Overlap Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'modalInfoBoxBgColor' => array('label' => 'Info Bar Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'modalInfoBoxTitleTextColor' => array('label' => 'Info Bar Title text Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => ''
            ),
            'shareTitlePlaceHolder' => array('label' => 'Share bar name',
                'tag' => 'input',
                'attr' => '',
                'text' => ''
            ),
            'modalInfoBoxTextColor' => array('label' => 'Info Bar Text Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => ''
            ),
            'infoBarExifEnable' => array('label' => 'Show Exif Data',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'infoBarCountersEnable' => array('label' => 'Show View/Likes/Comments',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'infoBarDateInfoEnable' => array('label' => 'Show item date',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            )
        )
    ),
    array('label' => 'Lightbox Settings',
        'fields' => array(
            'lightBoxEnable' => array('label' => 'Lightbox',
                'tag' => 'checkbox',
                'attr' => '',
                'text' => 'Show the item in the Lightbox by clicking on the thumbnail'
            ),
            'copyR_Alert' => array('label' => 'Copyright protection - Alert',
                'tag' => 'input',
                'attr' => 'type="text"',
                'text' => 'This message is displayed when a visitor clicks the right mouse button on a photo in a lightbox.'
            ),
            'sliderPreloaderColor' => array('label' => 'Preloader Color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => ''
            ),
            'sliderBgColor' => array('label' => 'Background color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderHeaderFooterBgColor' => array('label' => 'Header & Footer background color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => 'Gradient color'
            ),
            'sliderNavigationColor' => array('label' => 'Navigation button color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderNavigationIconColor' => array('label' => 'Navigation button Icons color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderItemTitleFontSize' => array('label' => 'Item Title - font Size',
                'tag' => 'input',
                'attr' => 'type="number" min="11" max="34" step="1"',
                'text' => ''
            ),
            'sliderItemTitleTextColor' => array('label' => 'Item Title text color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color"',
                'text' => ''
            ),
            'sliderThumbBarEnable' => array('label' => 'Show Items Thumbnails',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'sliderThumbBarHoverColor' => array('label' => 'Thumbnails Border Color (select mode)',
                'tag' => 'input',
                'attr' => 'type="text" data-type="color" data-sliderThumbBarEnable="is:1"',
                'text' => ''
            ),
            'sliderThumbSubMenuBackgroundColor' => array('label' => 'Item Submenu Button color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderThumbSubMenuIconColor' => array('label' => 'Item Submenu Button Icon color',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderThumbSubMenuBackgroundColorOver' => array('label' => 'Item Submenu Button color (over)',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderThumbSubMenuIconHoverColor' => array('label' => 'Item Submenu Button Icon color (over)',
                'tag' => 'input',
                'attr' => 'type="text" data-type="rgba"',
                'text' => ''
            ),
            'sliderInfoEnable' => array('label' => 'Item Info button',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'sliderItemDownload' => array('label' => 'Item Download button',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'sliderSocialShareEnabled' => array('label' => 'Item Share button',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            ),
            'sliderLikesEnabled' => array('label' => 'Item Like button',
                'tag' => 'checkbox',
                'attr' => 'data-watch="change"',
                'text' => ''
            )
        )
    ),
	array('label' => 'Advanced Settings',
		'fields' => array('customCSS' => array('label' => 'Custom CSS',
			'tag' => 'textarea',
			'attr' => 'cols="20" rows="10"',
			'text' => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i>
                                                                      <br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, 
                                                                      anything you add here will override the default styles'
		)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		)
	)
);